# -*- coding:Utf-8 -*-
#!/usr/bin/python

# \copyleft Denis LE FUR \copyright
# This work may be distributed and/or mofified under the conditions
# or the LaTeX Project Public Licence, either v1.3 or (at your option)
# any later version. The latest version is in
#   http://www.latex-project.org/lppl/
# This work consists of the files supp_bernoulli.py.


import pygtk
pygtk.require("2.0")
import gtk	

import os
import sys

sys.path.append("../../Divers/")
from pro_divers import *

#-------------------------------------------------------------
# Met à jour le code supplémentaire latex
#-------------------------------------------------------------	
def maj_codesupp(arbre):
	text_view=arbre.textviewSupp
	
	if arbre.radiobutton2.get_active()==True:
		str_buffer="Il y a deux issues :\n\\begin{itemize}\n\\item le succès, de probabilité $p$ ;\n\\item l'échec, de probabilité $1-p$.\n\\end{itemize}\n\n"
		str_buffer=str_buffer+"On répète cette épreuve de Bernoulli 2 fois : on obtient le schéma de Bernoulli de paramètres $\\left(2~;~p \\right)$.\n\n"
		str_buffer=str_buffer+"La loi de probabilité comptant les succès est la loi binômiale ${\\cal B}\\left(2~;~p \\right)$ résumée dans le tableau suivant :\\\ \n\n"
		str_buffer=str_buffer+"\\begin{center}\n\\renewcommand*\\arraystretch{1.5}\n\\begin{tabular}{|l|*{3}{@{~~}c@{~~}|}}\n\\hline\n\nNombres de succès & 0 & 1 & 2 \\\ \n\\hline\nNombres de branches & 1 & 2 & 1 \\\ \n\\hline \nProbabilités &  &  &  \\\ \n\\hline\n\\end{tabular}\n\\renewcommand*\\arraystretch{1}\n\\end{center}"
	
	elif arbre.radiobutton3.get_active()==True:
		str_buffer="Il y a deux issues :\n\\begin{itemize}\n\\item le succès, de probabilité $p$ ;\n\\item l'échec, de probabilité $1-p$.\n\\end{itemize}\n\n"
		str_buffer=str_buffer+"On répète cette épreuve de Bernoulli 3 fois : on obtient le schéma de Bernoulli de paramètres $\\left(3~;~p \\right)$.\n\n"
		str_buffer=str_buffer+"La loi de probabilité comptant les succès est la loi binômiale ${\\cal B}\\left(3~;~p \\right)$ résumée dans le tableau suivant :\\\ \n\n"
		str_buffer=str_buffer+"\\begin{center}\n\\renewcommand*\\arraystretch{1.5}\n\\begin{tabular}{|l|*{4}{@{~~}c@{~~}|}}\n\\hline\n\nNombres de succès & 0 & 1 & 2 & 3\\\ \n\\hline\nNombres de branches & 1 & 3 & 3 & 1 \\\ \n\\hline \nProbabilités &  &  &  & \\\ \n\\hline\n\\end{tabular}\n\\renewcommand*\\arraystretch{1}\n\\end{center}"


	else:
		str_buffer="Il y a deux issues :\n\\begin{itemize}\n\\item le succès, de probabilité $p$ ;\n\\item l'échec, de probabilité $1-p$.\n\\end{itemize}\n\n"
		str_buffer=str_buffer+"On répète cette épreuve de Bernoulli 4 fois : on obtient le schéma de Bernoulli de paramètres $\\left(4~;~p \\right)$.\n\n"
		str_buffer=str_buffer+"La loi de probabilité comptant les succès est la loi binômiale ${\\cal B}\\left(4~;~p \\right)$ résumée dans le tableau suivant :\\\ \n\n"
		str_buffer=str_buffer+"\\begin{center}\n\\renewcommand*\\arraystretch{1.5}\n\\begin{tabular}{|l|*{5}{@{~~}c@{~~}|}}\n\\hline\n\nNombres de succès & 0 & 1 & 2 & 3 & 4 \\\ \n\\hline\nNombres de branches & 1 & 4 & 6 & 4 & 1 \\\ \n\\hline \nProbabilités &  &  &  &  & \\\ \n\\hline\n\\end{tabular}\n\\renewcommand*\\arraystretch{1}\n\\end{center}"


	# Récupération du buffer
	text_buffer = text_view.get_buffer()
	# Suppression des données du buffer
	start_iter = text_buffer.get_start_iter()
	end_iter = text_buffer.get_end_iter()
	text_buffer.delete(start_iter, end_iter)
	# Affichage du fichier
	start_iter = text_buffer.get_start_iter()
	text_buffer.insert(start_iter, str_buffer)
	
	
